io.vertx.ext.web.common.template

## Class CachingTemplateEngine<T>

- java.lang.Object
- - io.vertx.ext.web.common.template.CachingTemplateEngine<T>

- All Implemented Interfaces:
    TemplateEngine

      public abstract class CachingTemplateEngine<T>
      extends Object
      implements TemplateEngine

  Author:
    Tim Fox

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected io.vertx.ext.web.common.template.impl.ConcurrentLRUCache<String,T>` | `cache`
    `protected String` | `extension` Deprecated.

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `CachingTemplateEngine(int maxCacheSize)`
    `protected` | `CachingTemplateEngine(String ext, int maxCacheSize)` Deprecated.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected String` | `adjustLocation(String location)` Deprecated.
    `protected void` | `doSetExtension(String ext)` Deprecated.
    `boolean` | `isCachingEnabled()` Returns true if the template template caches template files.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface io.vertx.ext.web.common.template.TemplateEngine

      `render, render`

- - ### Field Detail

    - #### cache

          protected final io.vertx.ext.web.common.template.impl.ConcurrentLRUCache<String,T> cache

    - #### extension

          @Deprecated
          protected String extension

      Deprecated.

  - ### Constructor Detail

    - #### CachingTemplateEngine

          @Deprecated
          protected CachingTemplateEngine(String ext,
                                                      int maxCacheSize)

      Deprecated.

    - #### CachingTemplateEngine

          protected CachingTemplateEngine(int maxCacheSize)

  - ### Method Detail

    - #### isCachingEnabled

          public boolean isCachingEnabled()

      Description copied from interface: `TemplateEngine`
      Returns true if the template template caches template files. If false, then template files are freshly loaded each time they are used.
      Specified by:
        `isCachingEnabled` in interface `TemplateEngine`
      Returns:
        True if template files are cached; otherwise, false.

    - #### adjustLocation

          @Deprecated
          protected String adjustLocation(String location)

      Deprecated.

    - #### doSetExtension

          @Deprecated
          protected void doSetExtension(String ext)

      Deprecated.

Copyright © 2019 Eclipse. All rights reserved.